# Suggest local posts for date

```http
POST https://api.synup.com/api/v4/local-post-ideas/suggest-posts-for-date
```

Generates suggested post ideas for a location on a specific date. Returns the generated ideas and a count.

Source: https://developer.synup.com/api/local-post-ideas/suggest-local-posts-for-date

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required |  |
| `date` | string | required | Target date (YYYY-MM-DD). |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/suggest-posts-for-date' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ==",
  "date": "2026-05-01"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
